unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, magnify, StdCtrls, ComCtrls, Spin,shellapi;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label3: TLabel;
    ColorDialog1: TColorDialog;
    Label4: TLabel;
    OpenDialog1: TOpenDialog;
    Label1: TLabel;
    Label2: TLabel;
    Shape1: TShape;
    SpinEdit1: TSpinEdit;
    TrackBar1: TTrackBar;
    Edit1: TEdit;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    Label5: TLabel;
    Bevel1: TBevel;
    Magnify1: TMagnify;
    procedure Button2Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure Shape1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Label4Click(Sender: TObject);
    procedure Magnify1RightClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button2Click(Sender: TObject);
begin
close
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
     Edit1.Text:=  inttostr(TrackBar1.position);
     Magnify1.MagSquare:=  TrackBar1.position;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
Magnify1.MagZoom:=SpinEdit1.Value;

end;

procedure TForm1.Shape1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
if ColorDialog1.Execute then
begin
Shape1.Pen.Color:=ColorDialog1.Color;
Magnify1.BorderColor:=ColorDialog1.Color;
end;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
Magnify1.Showborder:=  Checkbox2.checked;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
Magnify1.Enabled:=Checkbox3.checked
end;

procedure TForm1.Button1Click(Sender: TObject);

begin
if OpenDialog1.Execute then
  begin


   Magnify1.Original:= Magnify1.LoadGraphicsFile(OpenDialog1.FileName);

    Magnify1.AutoSize:=CheckBox1.Checked;
    Screen.Cursor := crDefault;

  end;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
Magnify1.AutoSize:=CheckBox1.Checked;
end;

procedure TForm1.Label4Click(Sender: TObject);
begin
ShellExecute(handle, 'open','http://www.codeidea.com', nil, nil, SW_SHOWNORMAL);
end;

procedure TForm1.Magnify1RightClick(Sender: TObject);
begin
ShowMessage('RightButton Clicked!')
end;

end.
