unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
   Buttons, ExtCtrls, StdCtrls, Spin, ComCtrls, CanvasText;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    ColorDialog1: TColorDialog;
    CheckBox1: TCheckBox;
    SelectBtn: TSpeedButton;
    SpeedButton1: TSpeedButton;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    Label5: TLabel;
    SpeedButton7: TSpeedButton;
    MyCanvasText1: TMyCanvasText;
    Image1: TImage;
    ColorBox1: TColorBox;
    Edit1: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    Label6: TLabel;
    SpinEdit1: TSpinEdit;
    Label7: TLabel;
    Label8: TLabel;
    Label1: TLabel;
    BitBtn1: TBitBtn;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    BitBtn6: TBitBtn;
    Label9: TLabel;
    BitBtn7: TBitBtn;
    procedure SpeedButton1Click(Sender: TObject);
    procedure Shape1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure SpinEdit1Change(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure SelectBtnClick(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SpeedButton7Click(Sender: TObject);
    procedure ColorBox1Change(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject);
    procedure BitBtn6Click(Sender: TObject);
    procedure BitBtn7Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3;

{$R *.DFM}

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  MyCanvasText1.DeleteSelectedShape// then ShowMessage('ok');     MyCanvasText1.ShapeTool:=spNone;
end;

procedure TForm1.Shape1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
if ColorDialog1.Execute then
begin
// MyCanvasText1.Pen.Color:=ColorDialog1.Color;
// Shape1.Pen.Color:=ColorDialog1.Color;
// Shape1.Brush.Color :=ColorDialog1.Color;
 end;

end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
MyCanvasText1.Font.Size :=SpinEdit1.Value;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
MyCanvasText1.Shadow:=CheckBox1.Checked;
end;

procedure TForm1.SelectBtnClick(Sender: TObject);
begin
MyCanvasText1.ShapeTool:=spSelecting;
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
AboutBox.ShowModal;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
myCanvasText1.Text:=Edit1.Text;
end;

procedure TForm1.SpeedButton7Click(Sender: TObject);
begin
 MyCanvasText1.ShapeTool:=spText;
end;

procedure TForm1.ColorBox1Change(Sender: TObject);
begin
MyCanvasText1.Font.Color:=ColorBox1.Selected
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
 myCanvasText1.Text:=Edit1.Text;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  Showmessage(MyCanvasText1.GetSelectedShapeText);
end;

procedure TForm1.BitBtn4Click(Sender: TObject);
var
  InputString:string  ;
begin

      InputString:= InputBox('Input Box', 'Prompt', MyCanvasText1.GetSelectedShapeText);
  if InputString =     MyCanvasText1.GetSelectedShapeText then
  ShowMessage('Text not Changed!')
  else
  if (MyCanvasText1.SetSelectedShapeText(InputString)) then
  ShowMessage('TextChanged!');
end;

procedure TForm1.BitBtn5Click(Sender: TObject);
begin
  Showmessage(MyCanvasText1.GetShapeText(1));
end;

procedure TForm1.BitBtn6Click(Sender: TObject);
begin
  if (MyCanvasText1.SetShapeText(1,'NewText')) then
  ShowMessage('TextChanged!');
end;

procedure TForm1.BitBtn7Click(Sender: TObject);
begin
 Form3.ShowModal;
end;

end.



